org.eclnt.jsfserver.elements.componentnodes

## Class PAINTAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.PAINTAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class PAINTAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PAINTAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PAINTAREANode` | `bindActionListener(IActionListenerDelegation value)`
    `PAINTAREANode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindAnimationduration(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindAvoiditemanimation(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindBackground(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindBorder(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindColspan(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindCommandfilter(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindDropshape(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindEditgrid(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindEditgridsnapto(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindEditgridvisible(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindHeight(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindHelpid(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindMagnifyfactor(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindOpaque(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindRangeselectionrequireskey(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindRounding(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindScale(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindShadow(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindSnappositionshorizontal(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindSnappositionsvertical(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindTrigger(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindWidth(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindWithrangeselection(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindWithrangesizing(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindWithuserscaling(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindX(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `bindY(IDynamicContentBindingObject value)`
    `PAINTAREANode` | `setActionListener(java.lang.String value)`
    `PAINTAREANode` | `setAdapterbinding(java.lang.String value)`
    `PAINTAREANode` | `setAnimatechangeofsize(boolean value)`
    `PAINTAREANode` | `setAnimatechangeofsize(java.lang.String value)`
    `PAINTAREANode` | `setAnimationduration(java.lang.String value)`
    `PAINTAREANode` | `setAttributemacro(java.lang.String value)`
    `PAINTAREANode` | `setAvoiditemanimation(boolean value)`
    `PAINTAREANode` | `setAvoiditemanimation(java.lang.String value)`
    `PAINTAREANode` | `setBackground(java.lang.String value)`
    `PAINTAREANode` | `setBgpaint(java.lang.String value)`
    `PAINTAREANode` | `setBorder(java.lang.String value)`
    `PAINTAREANode` | `setColspan(int value)`
    `PAINTAREANode` | `setColspan(java.lang.String value)`
    `PAINTAREANode` | `setCommandfilter(java.lang.String value)`
    `PAINTAREANode` | `setComment(java.lang.String value)`
    `PAINTAREANode` | `setComponentbinding(java.lang.String value)`
    `PAINTAREANode` | `setConfiginfo(java.lang.String value)`
    `PAINTAREANode` | `setDroprastertext(java.lang.String value)`
    `PAINTAREANode` | `setDropreceive(java.lang.String value)`
    `PAINTAREANode` | `setDropshape(java.lang.String value)`
    `PAINTAREANode` | `setEditgrid(int value)`
    `PAINTAREANode` | `setEditgrid(java.lang.String value)`
    `PAINTAREANode` | `setEditgridsnapto(boolean value)`
    `PAINTAREANode` | `setEditgridsnapto(java.lang.String value)`
    `PAINTAREANode` | `setEditgridvisible(boolean value)`
    `PAINTAREANode` | `setEditgridvisible(java.lang.String value)`
    `PAINTAREANode` | `setFlusharea(boolean value)`
    `PAINTAREANode` | `setFlusharea(java.lang.String value)`
    `PAINTAREANode` | `setFxstyleseq(java.lang.String value)`
    `PAINTAREANode` | `setHeight(int value)`
    `PAINTAREANode` | `setHeight(java.lang.String value)`
    `PAINTAREANode` | `setHelpid(java.lang.String value)`
    `PAINTAREANode` | `setId(java.lang.String value)`
    `PAINTAREANode` | `setMagnifyfactor(java.lang.String value)`
    `PAINTAREANode` | `setOpaque(boolean value)`
    `PAINTAREANode` | `setOpaque(java.lang.String value)`
    `PAINTAREANode` | `setPopupmenu(java.lang.String value)`
    `PAINTAREANode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `PAINTAREANode` | `setRangeselectionrequireskey(boolean value)`
    `PAINTAREANode` | `setRangeselectionrequireskey(java.lang.String value)`
    `PAINTAREANode` | `setReference(java.lang.String value)`
    `PAINTAREANode` | `setRendered(boolean value)`
    `PAINTAREANode` | `setRendered(java.lang.String value)`
    `PAINTAREANode` | `setRounding(int value)`
    `PAINTAREANode` | `setRounding(java.lang.String value)`
    `PAINTAREANode` | `setScale(java.lang.String value)`
    `PAINTAREANode` | `setShadow(java.lang.String value)`
    `PAINTAREANode` | `setSnappositionshorizontal(java.lang.String value)`
    `PAINTAREANode` | `setSnappositionsvertical(java.lang.String value)`
    `PAINTAREANode` | `setStyleseq(java.lang.String value)`
    `PAINTAREANode` | `setStylevariant(java.lang.String value)`
    `PAINTAREANode` | `setTrigger(java.lang.String value)`
    `PAINTAREANode` | `setWidth(int value)`
    `PAINTAREANode` | `setWidth(java.lang.String value)`
    `PAINTAREANode` | `setWithrangeselection(boolean value)`
    `PAINTAREANode` | `setWithrangeselection(java.lang.String value)`
    `PAINTAREANode` | `setWithrangesizing(boolean value)`
    `PAINTAREANode` | `setWithrangesizing(java.lang.String value)`
    `PAINTAREANode` | `setWithuserscaling(boolean value)`
    `PAINTAREANode` | `setWithuserscaling(java.lang.String value)`
    `PAINTAREANode` | `setX(int value)`
    `PAINTAREANode` | `setX(java.lang.String value)`
    `PAINTAREANode` | `setY(int value)`
    `PAINTAREANode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PAINTAREANode

          public PAINTAREANode()

  - ### Method Detail

    - #### setId

          public PAINTAREANode setId(java.lang.String value)

    - #### setActionListener

          public PAINTAREANode setActionListener(java.lang.String value)

    - #### bindActionListener

          public PAINTAREANode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public PAINTAREANode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public PAINTAREANode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public PAINTAREANode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public PAINTAREANode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public PAINTAREANode setAnimatechangeofsize(boolean value)

    - #### setAnimationduration

          public PAINTAREANode setAnimationduration(java.lang.String value)

    - #### bindAnimationduration

          public PAINTAREANode bindAnimationduration(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public PAINTAREANode setAttributemacro(java.lang.String value)

    - #### setAvoiditemanimation

          public PAINTAREANode setAvoiditemanimation(java.lang.String value)

    - #### bindAvoiditemanimation

          public PAINTAREANode bindAvoiditemanimation(IDynamicContentBindingObject value)

    - #### setAvoiditemanimation

          public PAINTAREANode setAvoiditemanimation(boolean value)

    - #### setBackground

          public PAINTAREANode setBackground(java.lang.String value)

    - #### bindBackground

          public PAINTAREANode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public PAINTAREANode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public PAINTAREANode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public PAINTAREANode setBorder(java.lang.String value)

    - #### bindBorder

          public PAINTAREANode bindBorder(IDynamicContentBindingObject value)

    - #### setColspan

          public PAINTAREANode setColspan(java.lang.String value)

    - #### bindColspan

          public PAINTAREANode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public PAINTAREANode setColspan(int value)

    - #### setCommandfilter

          public PAINTAREANode setCommandfilter(java.lang.String value)

    - #### bindCommandfilter

          public PAINTAREANode bindCommandfilter(IDynamicContentBindingObject value)

    - #### setComment

          public PAINTAREANode setComment(java.lang.String value)

    - #### bindComment

          public PAINTAREANode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public PAINTAREANode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public PAINTAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public PAINTAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public PAINTAREANode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public PAINTAREANode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public PAINTAREANode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public PAINTAREANode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public PAINTAREANode setDropshape(java.lang.String value)

    - #### bindDropshape

          public PAINTAREANode bindDropshape(IDynamicContentBindingObject value)

    - #### setEditgrid

          public PAINTAREANode setEditgrid(java.lang.String value)

    - #### bindEditgrid

          public PAINTAREANode bindEditgrid(IDynamicContentBindingObject value)

    - #### setEditgrid

          public PAINTAREANode setEditgrid(int value)

    - #### setEditgridsnapto

          public PAINTAREANode setEditgridsnapto(java.lang.String value)

    - #### bindEditgridsnapto

          public PAINTAREANode bindEditgridsnapto(IDynamicContentBindingObject value)

    - #### setEditgridsnapto

          public PAINTAREANode setEditgridsnapto(boolean value)

    - #### setEditgridvisible

          public PAINTAREANode setEditgridvisible(java.lang.String value)

    - #### bindEditgridvisible

          public PAINTAREANode bindEditgridvisible(IDynamicContentBindingObject value)

    - #### setEditgridvisible

          public PAINTAREANode setEditgridvisible(boolean value)

    - #### setFlusharea

          public PAINTAREANode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public PAINTAREANode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public PAINTAREANode setFlusharea(boolean value)

    - #### setFxstyleseq

          public PAINTAREANode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public PAINTAREANode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public PAINTAREANode setHeight(java.lang.String value)

    - #### bindHeight

          public PAINTAREANode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public PAINTAREANode setHeight(int value)

    - #### setHelpid

          public PAINTAREANode setHelpid(java.lang.String value)

    - #### bindHelpid

          public PAINTAREANode bindHelpid(IDynamicContentBindingObject value)

    - #### setMagnifyfactor

          public PAINTAREANode setMagnifyfactor(java.lang.String value)

    - #### bindMagnifyfactor

          public PAINTAREANode bindMagnifyfactor(IDynamicContentBindingObject value)

    - #### setOpaque

          public PAINTAREANode setOpaque(java.lang.String value)

    - #### bindOpaque

          public PAINTAREANode bindOpaque(IDynamicContentBindingObject value)

    - #### setOpaque

          public PAINTAREANode setOpaque(boolean value)

    - #### setPopupmenu

          public PAINTAREANode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public PAINTAREANode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public PAINTAREANode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public PAINTAREANode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setRangeselectionrequireskey

          public PAINTAREANode setRangeselectionrequireskey(java.lang.String value)

    - #### bindRangeselectionrequireskey

          public PAINTAREANode bindRangeselectionrequireskey(IDynamicContentBindingObject value)

    - #### setRangeselectionrequireskey

          public PAINTAREANode setRangeselectionrequireskey(boolean value)

    - #### setReference

          public PAINTAREANode setReference(java.lang.String value)

    - #### setRendered

          public PAINTAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public PAINTAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public PAINTAREANode setRendered(boolean value)

    - #### setRounding

          public PAINTAREANode setRounding(java.lang.String value)

    - #### bindRounding

          public PAINTAREANode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public PAINTAREANode setRounding(int value)

    - #### setScale

          public PAINTAREANode setScale(java.lang.String value)

    - #### bindScale

          public PAINTAREANode bindScale(IDynamicContentBindingObject value)

    - #### setShadow

          public PAINTAREANode setShadow(java.lang.String value)

    - #### bindShadow

          public PAINTAREANode bindShadow(IDynamicContentBindingObject value)

    - #### setSnappositionshorizontal

          public PAINTAREANode setSnappositionshorizontal(java.lang.String value)

    - #### bindSnappositionshorizontal

          public PAINTAREANode bindSnappositionshorizontal(IDynamicContentBindingObject value)

    - #### setSnappositionsvertical

          public PAINTAREANode setSnappositionsvertical(java.lang.String value)

    - #### bindSnappositionsvertical

          public PAINTAREANode bindSnappositionsvertical(IDynamicContentBindingObject value)

    - #### setStyleseq

          public PAINTAREANode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public PAINTAREANode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public PAINTAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public PAINTAREANode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTrigger

          public PAINTAREANode setTrigger(java.lang.String value)

    - #### bindTrigger

          public PAINTAREANode bindTrigger(IDynamicContentBindingObject value)

    - #### setWidth

          public PAINTAREANode setWidth(java.lang.String value)

    - #### bindWidth

          public PAINTAREANode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public PAINTAREANode setWidth(int value)

    - #### setWithrangeselection

          public PAINTAREANode setWithrangeselection(java.lang.String value)

    - #### bindWithrangeselection

          public PAINTAREANode bindWithrangeselection(IDynamicContentBindingObject value)

    - #### setWithrangeselection

          public PAINTAREANode setWithrangeselection(boolean value)

    - #### setWithrangesizing

          public PAINTAREANode setWithrangesizing(java.lang.String value)

    - #### bindWithrangesizing

          public PAINTAREANode bindWithrangesizing(IDynamicContentBindingObject value)

    - #### setWithrangesizing

          public PAINTAREANode setWithrangesizing(boolean value)

    - #### setWithuserscaling

          public PAINTAREANode setWithuserscaling(java.lang.String value)

    - #### bindWithuserscaling

          public PAINTAREANode bindWithuserscaling(IDynamicContentBindingObject value)

    - #### setWithuserscaling

          public PAINTAREANode setWithuserscaling(boolean value)

    - #### setX

          public PAINTAREANode setX(java.lang.String value)

    - #### bindX

          public PAINTAREANode bindX(IDynamicContentBindingObject value)

    - #### setX

          public PAINTAREANode setX(int value)

    - #### setY

          public PAINTAREANode setY(java.lang.String value)

    - #### bindY

          public PAINTAREANode bindY(IDynamicContentBindingObject value)

    - #### setY

          public PAINTAREANode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.